Linux PPP HOWTO
Prev | Chapter 28. Setting up a PPP server | Next

# 28.6. Setting pppd up to allow users to (successfully) run it

As starting a ppp link implies configuring a kernel device (a network interface) and manipulating the kernel routing tables, special privileges are required - in fact full root privileges.

Fortunately, pppd has been designed to be 'safe' to run set uid to root. So you will need to...

    chmod u+s /usr/sbin/pppd

When you list the file, it should then appear as...

    -rwsr-xr-x   1 root     root        74224 Apr 28 07:17 /usr/sbin/pppd

If you do not do this, users will be unable to set up their ppp link.

Prev | Home | Next
Setting up the PPP options files | Up | Setting up the global alias for pppd